module.exports = {
	extends: 'eslint:recommended',
	parser: 'babel-eslint',
	parserOptions: {
		ecmaVersion: 6,
		sourceType: 'module'
	},
	rules: {
		'arrow-parens': [ 'error', 'as-needed', { requireForBlockBody: true } ],
		'arrow-spacing': [ 'error', { before: true, after: true } ],
		'comma-spacing': [ 'error', { before: false, after: true } ],
		curly: 'error',
		'dot-notation': 'error',
		eqeqeq: [ 'error', 'always', { null: 'ignore' } ],
		'func-call-spacing': [ 'error', 'never' ],
		'handle-callback-err': 'error',
		indent: [ 'error', 'tab' ],
		'keyword-spacing': [ 'error', { before: true, after: true } ],
		'new-parens': 'error',
		'no-use-before-define': 'error',
		'no-useless-call': 'error',
		'no-useless-computed-key': 'error',
		'no-unused-expressions': 'error',
		'no-unused-vars': 'error',
		'operator-linebreak': [ 'error', 'before' ],
		'prefer-rest-params': 'error',
		quotes: [ 'error', 'single', { allowTemplateLiterals: true, avoidEscape: true } ],
		semi: [ 'error', 'always' ],
		'space-infix-ops': [ 'error', { int32Hint: true } ],
		'space-unary-ops': [ 2, { words: true, nonwords: false } ]
	}
};
